Unit tde21e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE21E_p, DE21E_p;

function tde21e: String;

implementation

function tde21e: String;
var
M,ISTIFJ,IORDER,JSTART,I,_i,IERR :Integer;
HMIN,HMAX,EPS,X,H :Extended;
BUL :Boolean;
RAB :Array [0..67] of Extended;
Y :Array [0..3] of Extended;
DELTY :Array [0..3] of Extended;
YPM :Array [0..3] of Extended;
YP :Array [0..31] of Extended;
label
_10;
begin
Result := '';  {   }
M := 4;
X := 0.e0;
H := 0.01e0;
Y[0] := 0.09411764706e0;
Y[1] := 0.e0;
Y[2] := 0.e0;
Y[3] := 4.5e0;
ISTIFJ := 0;
HMAX := 0.1e0;
BUL := False;
IORDER := 4;
JSTART := 0;
HMIN := 1.e-18;
EPS := 0.00001e0;
for I:=1 to M do
 begin
_10:
  YPM[I-1] := 1.e0;
 end;
DE21E(FDE21E,M,ISTIFJ,IORDER,JSTART,HMIN,HMAX,EPS,Y,X,H,
     BUL,YPM,DELTY,RAB,YP,IERR);
Result := Result + Format(' %20.16f  %20.16f ',[X,H]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[Y[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  DELTY(1)']);
Result := Result + Format('%s',['          DELTY(2)']);
Result := Result + Format('%s',['          DELTY(3)']);
Result := Result + Format('%s',['          DELTY(4)' + #$0D#$0A]);
Result := Result + Format('%20.16f %20.16f %20.16f %20.16f ',
 [DELTY[0],DELTY[1],DELTY[2],DELTY[3]]) + #$0D#$0A;
UtRes('tde21e',Result);  {     tde21e.res }
exit;
end;

end.
